Bug 240873 - rpcbind segfaults on startup - ipv6 related
rpcbind segfaults on startup - ipv6 related
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpcbind (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Steve Dickson
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-22 11:25 EDT by Doug Ledford
Modified: 2008-05-02 23:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-02 23:36:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for the oops (524 bytes, patch)
2007-05-22 11:25 EDT, Doug Ledford
no flags Details | Diff

  None (edit)
Description Doug Ledford 2007-05-22 11:25:52 EDT
Description of problem:  If there are interfaces that don't have an ipv6
address, but which are handled by rpcbind, then during interface init rpcbind
segfaults.  It calls getifaddrs() to get the ipv6 specific addresses for each
interface, but any interface that doesn't have a valid ipv6 address returns a
struct pointer with a NULL if_addr element.  The code then proceeds to try and
dereference that pointer without making sure it's valid first.  Skipping each
address that has no if_addr element as though it doesn't exist is the proper action.


Version-Release number of selected component (if applicable): 0.1.4-5.fc7


How reproducible: 100%


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Doug Ledford 2007-05-22 11:25:53 EDT
Created attachment 155167 [details]
Fix for the oops
Comment 2 Steve Dickson 2007-05-22 11:54:06 EDT
Fixed in rpcbind-0.1.4-6.fc7
Comment 3 Doug Ledford 2007-05-23 10:47:39 EDT
Verified that the rpcbind package from the build system does indeed resolve the
issue.
Comment 4 Bug Zapper 2008-04-03 20:49:50 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 John Poelstra 2008-05-02 23:36:20 EDT
per comment #3 closing this bug

Note You need to log in before you can comment on or make changes to this bug.